Package python-shade

The Python 2 subpackage(s) are not required by anything in Fedora. They can be dropped if the maintainer wishes.


See python-shade in the Fedora Pagure, or go directly to the corresponding spec file.

Upstream

Trove classifiers on PyPI suggest that this software is ported upstream.

Fedora L

Package with dual support whose Python 2 subpackage(s) aren't needed elsewhere in Fedora

RPMs
  • python2-shade-1.27.1-1.fc30
    • × /usr/bin/python2
    • × python(abi) = 2.7
  • python3-shade-1.27.1-1.fc30
    • /usr/bin/python3
    • python(abi) = 3.7
Links

Dependent packages

Run time

Build time

None.

Dependency Tree

Run time

Build time

Project Size

~11.9K total lines of code
~11.2K (94%) Python
(approximation as of 1.4.0-3.fc23)

Groups

Dependencies

Run time

1 Python 3 only; 3 Dual support; 1 Dropped
Package Upstream Fedora
  python-openstacksdk   bug (CLOSED ERRATA)
  python-os-client-config  
  python-pbr   bug (CLOSED RAWHIDE)
  python3   bug (NEW)
  python2   X

Build time

2 Python 3 only; 10 Dual support; 1 Dropped
Package Upstream Fedora
  python-fixtures  
  python-mock  
  python-openstacksdk   bug (CLOSED ERRATA)
  python-os-client-config  
  python-oslotest  
  python-pbr   bug (CLOSED RAWHIDE)
  python-requests-mock  
  python-stestr  
  python-testscenarios  
  python-testtools  
  git  
  python3   bug (NEW)
  python2   X